Skip to main content

How Does API Work?

The process to transcribe an audio file:
  • Post the request by:
    • Enter the valid REV-APPNAME, REV-APP-ID, and REV-API-KEY.
    • Define the Language Code and domain.
    • Upload the audio file to transcribe.
    • Define the audio format, if required.
  • The API will return the text in the requested Indian language.

cURL for Integration

Step 1 : Upload the Audio File

Request : Transcribing Audio

Request: Transcribing Audio other than Default Format

Response: Success

Response: Error Message

Step 2 : Get the Status

Request: Get status of the transcription

Response: Success

Step 3 : Get the Transcript

Request: Get transcript of the transcription

Response: Success

API References

HTTP Request URL

Headers

string
required
API key shared by the Reverie team
string
required
APP ID shared by the Reverie team
string
required
Value if this string should always be stt_batch
string
required
  • Specify the language code.
  • Example: hi
  • Refer to section Language Codes for valid language code.
string
required
  • This field identifies your use case type and set of the terminology defined for transcription.
  • e.g. for general audio is ‘generic’
  • It is only required for the first API i.e Upload File API.
string
  • Mention the audio sample rate and file format of the uploaded file.
  • Refer to section Supported Audio Formats for valid audio format code.
  • It is only required for the first API i.e Upload File API
  • Note:
    • By default, the format = 16k_int16. (WAV, Signed 16 bit, 16,000 or 16K Hz).
    • It is an optional parameter.
boolean
  • Enables subtitling from the audio file.

Query Parameter

file
required
  • An audio file for which the transcript is desired.

Response

string
  • A unique Identity number auto-assigned by the API for each request, to be used to fetch job status and transcripts.
string
  • Provides a message code which can be used to look up the nature of the response returned by the API.
string
  • Provides a brief description about the response returned by the API.

Handling Errors

Our API raises errors when there is something wrong with certain aspects of the submitted file or any network issues. Some areas where errors might come up would be errors due to network related issues, file formats, incorrect domain names or language codes. Each response code provides a descriptive message about what has gone wrong.

API Response Message Codes

HTTP Status URL

Query Parameter

string
required
  • job_id received after uploading the file.

Status Query Response

string
  • A unique Identity number auto-assigned by the API for each request
string
  • Provides a message code which can be used to look up the nature of the response returned by the API
string
  • Provides a brief description about the response returned by the API.
string
  • status values: queued, processing, failed and completed

Status Types

API Response Message Codes

HTTP Transcript URL

Query Parameter

string
required
  • job_id received after uploading the file.

Transcript Query Response

string
  • A unique Identity number auto-assigned by the API for each request.
string
  • Provides a message code which can be used to look up the nature of the response returned by the API.
string
  • Provides a brief description about the response returned by the API.
string
  • An array of transcript objects including, channel_number, transcript, list of words with start time, end time and confidence.Please check the sample response.

API Response Message Codes